### Signal

# Gtk PrintOperation::end-print

#### Declaration

    void
    end_print (
      GtkPrintOperation* self,
      GtkPrintContext* context,
      gpointer user_data
    )

#### Description [src]

Emitted after all pages have been rendered.

A handler for this signal can clean up any resources that have been allocated in the `GtkPrintOperation::begin-print` handler.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`context`

  Type: `GtkPrintContext`

  The `GtkPrintContext` for the current operation.

  The data is owned by the caller of the function.